| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBugPlugRenderObject Struct Reference

An application/module can implement this interface to render something. More...

`#include <ivaria/bugplug.h>`

Inheritance diagram for iBugPlugRenderObject:

[legend]
List of all members.

## Public Member Functions
virtual void | Render (iGraphics3D *g3d, iBugPlug *bugplug)=0
| Render.

## Detailed Description

An application/module can implement this interface to render something.

BugPlug can call the render function when it decides it is time to render the object.

Definition at line 42 of file bugplug.h.

## Member Function Documentation

virtual void iBugPlugRenderObject::Render | ( | iGraphics3D * | g3d,
|  | iBugPlug * | bugplug |
| ) |  |  | `[pure virtual]`

Render.

The documentation for this struct was generated from the following file:

- ivaria/bugplug.h